#
# Licensed Materials - Property of IBM
# Rational ClearQuest
# (C) Copyright IBM Corp. 2009, 2014.  All Rights Reserved.
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp
#
##############################################################################

package CQTsAdmin::L10N::en;	# English
@ISA = qw(CQTsAdmin::L10N);


##############################################################################
# NOTE: All the text below are space and line sensitive.  That is, if there is
# an extra space, than it's intentional.  The same is true for extra blank 
# lines.  This is to preserve proper formatting as the text is outputted to the
# screen.  Also, the length of a single line of text, is set to be no longer 
# than 79 characters in length.  Those formatting characteristics must also be
# preserved when translating to different languages.
##############################################################################


##############################################################################
my $minHelpMsgText = "


cqtsadmin.pl version [_1]

This script is used to setup, configure and administer IBM Rational ClearQuest 
Full Text Search.

Usage: cqperl cqtsadmin.pl --username <cq-user-name> 
                           --password <cq-user-password> 
                           --dbset <db-set> 
                           --userdb <user-db> 
                           --ftshome <cqfts-home | cqfts-config-file.xml> 
                           
                           ~[--init_cq_fts <include-users-groups>~]
                           ~[--setup_cq_fts~]
                           ~[--create_fts_was_profile <startup-type>~]
                           ~[--fts_was_profile_home <destination-directory>~]
                           ~[--was_profile_ports_file <was-ports-file>~]
                           ~[--delete_fts_was_profile~]
                           
                           ~[--copy_fts_template~]
                           ~[--gen_entity_file~]
                           ~[--gen_fts_files~]
                           ~[--cust_fts_files~]
                           ~[--cust_solr_files~]
                           ~[--update_fts_prop_files~]
                           
                           ~[--start_fts_was_profile~]
                           ~[--stop_fts_was_profile~]
                           ~[--enable_cqweb_fts~]
                           ~[--disable_cqweb_fts~]
                           
                           ~[--run_batch_idx~]
                           ~[--start_update_idx~]
                           ~[--stop_update_idx~]
                           ~[--fresh_batch_idx~]
                           ~[--fresh_update_idx~]
                           
                           ~[--add_record_type~]
                           ~[--remove_record_type~]
                           
                           ~[--set_was_max_mem~]
                           ~[--set_solr_home~]
                           
                           ~[--repair_records~]
                           ~[--optimize_idx~]
                           ~[--remove_lucene_idx_lock~]
                           ~[--scrub_oplog <before-date>~]
                           ~[--backup_fts <destination-directory>~]
                           ~[--archive_fts~]
                           
                           ~[--clear_state~]
                           
                           ~[--lock_cq_fts~]
                           ~[--unlock_cq_fts~]
                           
                           ~[--prep_upgd_was_profiles <destination-directory>~]
                           ~[--restore_was_profiles <destination-directory>~]
                           
                           ~[--upgrade_solr_app~]
						   
                           ~[--typeahead_cmd~]
                           
                           ~[--gather_diagnostic_data~]
                           
                           ~[--show_scenarios ~[<ID | \"all\">~]~]
                           
                           ~[--help~]

";




##############################################################################
# NOTE: for the next block of text, preserving the number of spaces 
# between the text and blank lines is important to ensure properly 
# formatted screen output.
my $fullHelpMsgText = "

Parameters:
  --username <user-name>   CQ user name with admin privileges 
  --password <pass-word>   CQ user password
  --dbset <db-set>         CQ DB-set name
  --userdb <user-db>       CQ user-DB name
  --ftshome <cqfts-home>   CQ FTS home directory or CQ FTS XML configuration 
                           file
  
  --init_cq_fts            Copies CQ FTS default template and generates the 
                           default Entity file; in effect, it executes:
                           'copy_fts_template' and 'gen_entity_file'
  --setup_cq_fts           Performs end-to-end CQ FTS setup using current 
                           settings of the Entity and the config file
  --create_fts_was_profile Creates a CQ FTS WAS profile
     <manual | automatic |
      disabled>
  --fts_was_profile_home   The location where FTS WAS profile(s) will be
     <destination-dir>     created; the default will be used if not specified
  --was_profile_ports_file WAS property ports file
     <was-port-file>
  --delete_fts_was_profile Deletes a CQ FTS WAS profile
  
  --copy_fts_template      Copies and sets CQ FTS default template
  --gen_entity_file        Generates the Entity file based on your user-DB
  --gen_fts_files          Generates CQ FTS setup files based on your user-DB,
                           Entity file, and config file
  --cust_fts_files         Customizes CQ FTS property file based on your 
                           user-DB, Entity and config file
  --cust_solr_files        Customizes Solr schema file based on your user-DB
  --update_fts_prop_files  Updates all generated CQ FTS files
  
  --start_fts_was_profile  Starts CQ search profile under WAS
  --stop_fts_was_profile   Stops CQ search profile under WAS
  --enable_cqweb_fts       Enables CQ FTS under CQ Web
  --disable_cqweb_fts      Disables CQ FTS under CQ Web
  
  --run_batch_idx          Executes the batch mode indexer
  --start_update_idx       Starts the update mode indexer under WAS
  --stop_update_idx        Stops the update mode indexer under WAS
  --fresh_batch_idx        Forces a full re-index in batch mode
  --fresh_update_idx       Forces a full re-index in update mode
  
  --add_record_type        Adds a new record-type
  --remove_record_type     Removes a record-type
  
  --set_was_max_mem        Sets JVM's MAX memory for the WAS profile
  --set_solr_home          Sets Solr's home directory under WAS profile
  
  --repair_records         Re-index of failed records
  --optimize_idx           Optimizes the index (de-fragments it)
  --remove_lucene_idx_lock Removes the Lucene index lock (if any)
  --scrub_oplog            Scrubs all oplogs before the given date
     <before-date>
  --backup_fts             Creates a backup copy of your CQ FTS deployment
     <destination-dir>
  --archive_fts            Archives an existing CQ FTS configuration
  
  --clear_state            Clears the current state
  
  --lock_cq_fts            Locks this CQ FTS deployment so that only none-
                           modifiable commands are executed
  --unlock_cq_fts          Unlocks this CQ FTS deployment so that all
                           commands are executable
  
  --prep_upgd_was_profiles Creates a backup data of (and optionaly deletes)
     <to-dir>              all your CQ FTS WAS profiles 
                           (except \"cqsearchprofile\")
  --restore_was_profiles   Restores all CQ FTS WAS profiles from a backup
     <from-dir>            data
  
  --upgrade_solr_app       Upgrade Apache Solr to latest version
  
  --typeahead_cmd          Issue typeahead specific commands
  
  --gather_diagnostic_data Use to collect diagnostic data of IBM
                           Rational CQ FTS usage to diagnose issues
  
  --show_scenarios         Displays a list of scenarios, the full text of a 
     ~[<ID | \"all\">~]        scenario, or the complete text of all scenarios
  
  --help                   Display this help and exit


This script is used to setup, configure and administer IBM Rational ClearQuest 
Full Text Search.  The script is driven by the values that you provide on the 
command line as well as the values in your CQ full-text search XML 
configuration data file, your CQ Search property file, and your Entity file.
The available command line options are grouped into common operations. One or
more can be passed at once. They will be executed in the order that they
appear on the command line.  The exception to this rule is 'init_cq_fts',
'setup_cq_fts', 'create_fts_was_profile', 'fts_was_profile_home' and 
'was_profile_ports_file'.  If one or more of those is used, they are executed 
in a predefined order to insure proper operation.  Also, if any of those 
commands is used, with any other, an error is reported.  In most cases, to 
deploy CQ FTS, you will use those three commands.  After which, you may use 
some of the other command line options for maintainers or customization.  See 
the User's Guide for full details.


";




##############################################################################
my $unixMultiutilInfo = 
"The command line option '--scrub_oplog' is not support on Unix, this is because the ClearQuest program 'multiutil.exe' is only available on Windows"."\n".
"The CQ program 'multiutil.exe' is used to scrub oplogs that CQ FTS generates (if your CQ DB is not MultiSite'ed).".
"You must run this command from a Windows machine to scrub oplogs.  To do so, take the following steps:"."\n".
"1) Make sure you have CQ 8.0 or later installed on a Windows machine and that you have selected 'Text Search' component during the installation"."\n".
"2) Make sure this tool, IBM Rational ClearQuest Full Text Search Administrator, is also available on Windows."."\n".
"3) Make sure you have a connection profile called '[_1]' on the Windows machine."."\n".
"4) Copy the following files to a folder on your Windows machine into the same folder structure as on your Unix machine"."\n".
"   a) [_2]"."\n".
"   b) [_3]"."\n".
"5) On your Windows machine, from your ClearQuest folder, run the following command:"."\n".
"   cqperl cqtsadmin.pl --username [_4] --password <********> --dbset [_5] --userdb [_6] --ftshome <drive>:[_7] --scrub_oplog <before-date>"."\n";




##############################################################################
%Lexicon =
(
	'LANGUAGE_CODE'					=>	'en',		# English: must be the same as this file name (without the extension)
	'CODEPAGE_ENCODING'				=>	'',			# The code page to use.  For English, we will not force any code page.
	
	'START_MSG_TEXT'				=>	"START",
	'DONE_MSG_TEXT'					=>	"DONE",
	
	'INFO_MSG_TEXT'					=>	"Info         : ",
	'WARN_MSG_TEXT'					=>	"Warn         : ",
	'ERROR_MSG_TEXT'				=>	"Error        : ",
	'ERROR_MSG_TEXT_OS'				=>	"ERROR: ",
	'CALLING_TEXT'					=>	"Calling: ",
	
	'XINFO_CONFIG_XML_FILE'			=>	"FTS config XML file            -> [_1]",
	'XINFO_CQ_HOME'					=>	"ClearQuest Home                -> [_1]",
	'XINFO_COMMON_HOME'				=>	"Rational Common Home           -> [_1]",
	'XINFO_JRE_HOME'				=>	"JRE Home                       -> [_1]",
	'XINFO_CQ_USER_NAME'			=>	"CQ User Name                   -> [_1]",
	'XINFO_CQ_USER_PW'				=>	"CQ User Password               -> [_1]",
	'XINFO_FTS_SOURCE_TEMPL_DIR'	=>	"FTS Source Template Dir        -> [_1]",
	'XINFO_FTS_TARGET_DIR'			=>	"FTS Target Dir                 -> [_1]",
	'XINFO_FTS_DATA_DIR'			=>	"FTS Data Directory             -> [_1]",
	'XINFO_DB_SET_NAME'				=>	"FTS DB Set Name                -> [_1]",
	'XINFO_USER_DB_NAME'			=>	"FTS User DB Name               -> [_1]",
	'XINFO_SITE_NAME'				=>	"FTS Site Name                  -> [_1]",
	'XINFO_PROFILE_NAME'			=>	"FTS WAS Profile Name           -> [_1]",
	'XINFO_PROFILE_PORT'			=>	"FTS WAS Profile Port           -> [_1]",
	'XINFO_PROFILE_PORT_FILE'		=>	"FTS WAS Profile Ports File     -> [_1]",
	'XINFO_PROFILE_XMX_SETTING'		=>	"FTS WAS Profile -Xmx setting   -> [_1]",
	'XINFO_SERVER_NAME'				=>	"FTS Server Name                -> [_1]",
	'XINFO_USER_ENTITY_FILE'		=>	"FTS User Provided Entity File  -> [_1]",
	'XINFO_SOLR_SCHEMA_FILE'		=>	"FTS Solr schema.xml File       -> [_1]",
	'XINFO_LUCENE_IDX_DIR'			=>	"FTS Lucene index Dir           -> [_1]",
	'XINFO_ENTITY_FILE'				=>	"FTS Entity File                -> [_1]",
	'XINFO_PROPERTY_FILE'			=>	"FTS Property File              -> [_1]",
	'XINFO_SOLR_INTERMEDIATE_FILE'	=>	"FTS Solr Intermediate File     -> [_1]",
	'XINFO_PW_KEY_FILE'				=>	"FTS Password Key File          -> [_1]",
	'XINFO_ENCRYPTED_PW_FILE'		=>	"FTS Encrypted Password File    -> [_1]",
	'XINFO_CRAWLER_FILE'			=>	"FTS cqtsdbcrawler.pl File      -> [_1]",
	'XINFO_SETUP_FILE'				=>	"FTS cqtssetup.pl File          -> [_1]",
	'XINFO_CQTACFG_FILE'			=>	"FTS cqtacfg.pl File            -> [_1]",
	'XINFO_SETSOLRHOME_FILE'		=>	"FTS setSolrHome.py File        -> [_1]",
	'XINFO_JAVA_EXE_FILE'			=>	"FTS java.exe File              -> [_1]",
	'XINFO_ENABLE_CQ_FTS'			=>	"Enable CQ FTS                  -> [_1]",
	'XINFO_START_BATCH_IDX'			=>	"Start Batch Indexing           -> [_1]",
	'XINFO_START_UPDATE_IDX'		=>	"Start Update Indexing          -> [_1]",
	'XINFO_JVM_BATCH_MODE'			=>	"JVM setting for batch mode     -> [_1]",
	'XINFO_BATCH_SIZE'				=>	"Batch size for batch mode      -> [_1]",
	'XINFO_BATCH_DELAY'				=>	"Delay setting for batch mode   -> [_1]",
	'XINFO_BATCH_THREADS'			=>	"Threads setting for batch mode -> [_1]",
	'XINFO_UPDATE_SIZE'				=>	"Batch size for update mode     -> [_1]",
	'XINFO_UPDATE_DELAY'			=>	"Delay setting for update mode  -> [_1]",
	'XINFO_UPDATE_LOGIN_INTERVAL'	=>	"Login Interval for update mode -> [_1]",
	'XINFO_ADD_RECORD'				=>	"Record-types and fields to add -> [_1]",
	'XINFO_REMOVE_RECORD'			=>	"Record-types to remove         -> [_1]",
	'XINFO_TYPE_AHEAD_ENABLED'		=>	"Typeahead enable               -> [_1]",
	'XINFO_TYPE_AHEAD_CACHE_FILL_TRIES'	=>	"Typeahead cache fill tries     -> [_1]",
	'XINFO_TYPE_AHEAD_CACHE_SIZE'	=>	"Typeahead cache size           -> [_1]",
	'XINFO_TYPE_AHEAD_PAGE_SIZE'	=>	"Typeahead page size            -> [_1]",
	
	'TERMINATION_MSG'				=>	"TERMINATING DUE TO AN ERROR",
	'NON_FATAL_ERROR'				=>	"NON FATAL ERROR ENCOUNTERED",
	'IGNORE_SAFE_ERROR'				=>	"IGNORING POSSIBLY SAFE ERROR",
	
	'CANNOT_BE_HERE'				=>	"UNEXPECTED ERROR - This line should not execute",
	
	'INVALID_COMMAND_LINE_OPTION'	=>	"One or more invalid command-line options used.",
	'NOT_SUPPORTED_COMMAND_OPTION'	=>	"Command-line options '--init_cq_fts' and '--setup_cq_fts' cannot be used with other options.",
	'USE_HELP_MSG'					=>	"Use '--help' for complete help syntax.",
	'MISSING_REQUIRED_OPTIONS'		=>	"Missing required command-line options: '--username', '--password', '--dbest', '--userdb' and '--ftshome'.",
	'NO_OPERATIONAL_COMMAND_OPTION'	=>	"At least one command-line option is required.",
	'INVALID_CREATE_PROFILE'		=>	"The command-line option '--create_fts_was_profile' will only accept: 'manual', 'automatic', or 'disabled'.",
	'FTS_ALREADY_EXIST'				=>	"Cannot execute '--init_cq_fts' because a CQ FTS setup for DB-Set '[_1]' and user-DB '[_2]' already exist at '[_3]'.",
	
	'FTS_TEMPLATE_AT'				=>	"Creating FTS template at: [_1]",
	'FAILED_TO_MOVE_FILE'			=>	"Failed to move file '[_1]' to '[_2]'",
	'FAILED_TO_MOVE_FOLDER'			=>	"Failed to move folder '[_1]' to '[_2]'",
	'SEE_FILE'						=>	"See the file '[_1]'",
	'FOR_IMPORTANT_NOTES'			=>	"For important notes.",
	'LOG_ENDED_ON'					=>	"Log ended on -> [_1]",
	'LOG_STARTED_ON'				=>	"Log started on -> [_1]",
	'WRITTING_TO_LOG_FILE'			=>	"Writing to log file -> [_1]",
	'CANNOT_CREATE_LOG_FILE'		=>	"Cannot create log file at: '[_1]'",
	'LOST_LOG_MSG_LINE_1'			=>	"The log for this execution is lost.",
	'LOST_LOG_MSG_LINE_2'			=>	"You may want to capture the screen output as your log for this session.",
	'FLUSH_LOG'						=>	"Your log has been written to: '[_1]'",
	'FLUSH_LOG_ATTEMPT_LINE_1'		=>	"An attempt will be made to write the log data to: '[_1]'",
	'FLUSH_LOG_ATTEMPT_LINE_2'		=>	"If the script ends successfully.",
	
	'ERROR_DURING_EXE'				=>	"An error was encountered during the execution of: ",
	'FILE_NOT_GENERATED'			=>	"The file: \n"."  [_1]\n\n"."was not generated",
	'CANNOT_EXE'					=>	"Cannot execute '[_1]'",
	'CANNOT_CREATE'					=>	"Cannot create: '[_1]'",
	'CANNOT_DETERMINE_FTS_DIR'		=>	"Cannot determine CQ FTS data directory from '[_1]'",
	'RETRIEVE_WAS_PORT_NUMBER'		=>	"Cannot retrieve port number for WAS profile '[_1]'",
	'PROFILE_NAME_TOO_LONG'			=>	"The WAS profile name '[_1]' is longer than the maximum allowed length of '[_2]'",
	'NON_EXISTING_SITE_NAME'		=>	"Your replica does not have a site called '[_1]'",
	'NO_PRIVILAGE'					=>	"User has insufficient privileges",
	'WRONG_CQ_VERSION'				=>	"ClearQuest Full-Text search requires CQ 8.0 or later; your CQ version '[_1]' is not supported.",
	'CANNOT_COPY_FROM_TO'			=>	"Cannot copy from '[_1]' to '[_2]'",
	'CANNOT_OPEN'					=>	"Cannot open file '[_1]'",
	'FIELD_NAME_NOT_IN_SCHEMA'		=>	"The record-type '[_1]' has 1 or more fields which are not defined in your schema. Verify spelling and capitalization in your XML config file and try again.",
	'RECORD_TYPE_NOT_IN_SCHEMA'		=>	"The record-type '[_1]' is not defined in your schema. Verify spelling and capitalization in your XML config file and try again.",
	'RECORD_TYPE_NOT_INDEXED'		=>	"The record-type '[_1]' is not indexed or cannot be matched. Verify spelling and capitalization in your XML config file and try again.",
	'UPDATE_FILE_NOT_EXIST'			=>	"The file to be updated doesn't exist '[_1]'",
	'CANNOT_CREATE_BACKUP_FILE'		=>	"Cannot create a backup of '[_1]' as '[_2]'",
	'CANNOT_WRITE_TO_FILE'			=>	"Cannot write to file '[_1]'",
	'CANNOT_DELETE_BACKUP_FILE'		=>	"Failed to delete backup file '[_1]'",
	'CANNOT_UPDATE_FILE'			=>	"Failed to update file '[_1]'",
	'CANNOT_RESTORE_BACKUP_FILE'	=>	"Failed to restore from backup '[_1]'"." to '[_2]'",
	'MANUALY_RESTORE_FILE'			=>	"You may have to manually restore this file from '[_1]' or your own backup (or regenerate it)",
	'CANNOT_OPEN'					=>	"Cannot open '[_1]'",
	'FAILED_TO_ADD_RECORD'			=>	"Failed to add record-type(s) to '[_1]'",
	'DIAG_COLLECTION_ERROR'			=>	"An error was encountered; not all diagnostic data were collected.",
	'DIAG_DATA_LOCATION'			=>	"The diagnostic data is collected into '[_1]'.  Gather the content of this folder for IBM support use.",
	'NEED_CQ_7_1_1'					=>	"You need ClearQuest 8.0 or greater to use this feature.",
	'WILL_NOT_SCRUB'				=>	"Since your database is replicated, you will need to use your replication policy to scrub oplogs vs. CQ FTS's.",
	'WRONG_BACKUP_DESTINATION'		=>	"The destination must be a directory, or the directory does not exist, or cannot be accessed.",
	'WAS_PROFILE_EXIST'				=>	"The WAS profile '[_1]' already exist.  Please try again with a different profile name.",
	'WAS_PORT_GT_5'					=>	"Port string length must be greater then 5 digits",
	'CANNOT_CREATE'					=>	"Cannot create '[_1]'",
	'CANNOT_DELETE'					=>	"Cannot delete '[_1]'",
	'MISSING_CONFIG_FILE'			=>	"Missing configuration file '[_1]'",
	'RECORD_TYPE_ADD_PARSE_ERROR'	=>	"An error occurred while parsing your record-types to add.  Verify that the data is correct in your XML config file '[_1]'",
	'CANNOT_CREATE_RESTORE_FILE'	=>	"Failed to create restore file '[_1]'"." to '[_2]'",
	'CANNOT_DELETE_RESTORE_FILE'	=>	"Cannot delete restore file '[_1]'. You need to delete this file manually.",
	'ADD_RECORD_ERROR'				=>	"Failed to add record-type(s) due to an error.",
	'CANNOT_DELETE_FOLDER'			=>	"Cannot delete folder '[_1]'. You need to delete it manually.",
	'ERROR_DURING_ADD_RECORD'		=>	"An error was encountered during record-type(s) addition. Check your log for manual recovery.",
	'FILE_RESTORE_ERROR'			=>	"Failed to recover restore file from '[_1]'"." to '[_2]'",
	'OUT_OF_SYNC_LUCENE_INDEX'		=>	"This is most likely a FATAL error as your Lucene index is out of sync; it's possible some record-types are removed. Consider restoring your CQ FTS deployment from a backup.",
	'REMOVE_RECORD_ERROR'			=>	"Failed to remove record-type(s) due to an error.",
	'ERROR_DURING_REMOVE_RECORD'	=>	"An error was encountered during record-type(s) addition. Check your log for manual recovery.",
	'NOT_ENABLED_BATCH_INDEX'		=>	"Your request to enable Update Index was rejected because '<runBatchIndex>' is set to 'false' in your CQ FTS Admin file",
	'NOT_ENABLED_UPDATE_INDEX'		=>	"Your request to enable Update Index was rejected because '<startUpdateIndex>' is set to 'false' in your CQ FTS Admin file",
	'NOT_ENABLED_CQWEB_FTS'			=>	"Your request to enable CQ Web Full-Text Search was rejected because '<enableCQFTS>' is set to 'false' in your CQ FTS Admin file",
	'CANNOT_COPY_ALREADY_EXIST'		=>	"Cannot copy to '[_1]'; it already exists at '[_2]'",
	'RENAMING_TO'					=>	"Renaming from '[_1]' to '[_2]'",
	'LOGGER_STOP_FOR_RENAME'		=>	"Logger is being stopped for the rename to work.  Watch the screen output for any errors.",
	'DELETING_WAS_PROFILE'			=>	"Deleting WAS profile '[_1]'",
	'TIME_1_TO_5_MIN'				=>	"Depending on the speed of your system, this may take anywhere between 1 to 5 minutes.",
	'TIME_5_TO_10_MIN'				=>	"Depending on the speed of your system, this may take anywhere between 5 to 10 minutes.",
	'DELETING_FOLDERS_FILES'		=>	"Deleting folders and files at '[_1]'",
	'DELETING_FILE'					=>	"Deleting the file '[_1]'",
	'CREATING_WAS_PROP_FILE'		=>	"creating WAS profile property file at '[_1]' ",
	'CREATING_NEW_WAS_PROFILE'		=>	"Creating new WAS profile '[_1]' using port '[_2]'",
	'UNIX_NOT_SUPPORTED_SRV_TYPE'	=>	"Ignoring a none supported service start-up type on *nix '-winserviceStartupType [_1]'",
	'RE_INDEXING_REPAIR'			=>	"Re-indexing records in repair file '[_1]'",
	'DELETE_OPLOG_MARKER_FILE'		=>	"Deleting oplog marker file '[_1]'",
	'DELETE_BATCH_MARKER_FILE'		=>	"Deleting batch mode marker file '[_1]'",
	'MODIFYING_WEBXML_FILE'			=>	"Modifying '[_1]' to enable update mode record extractor",
	'MODIFYING_SOLR_SCHEMA_FILE'	=>	"Modifying '[_1]' to sync Solr's fields with your schema.",
	'USING_USER_ENTITY_FILE'		=>	"Using user defined Entity file '[_1]'",
	'UNIX_SEE_FILE'					=>	"See the file '[_1]'",
	'UNIX_MULTIUTIL_MSG_FILE'		=>	"Creating file '[_1]' which has instructions about multiutil.exe for Unix users.",
	'UNIX_NOT_SUPPORTED_SCRUB'		=>	"The command line option '--scrub_oplog' is NOT supported on Unix.",
	'UNIX_HOW_TO_SCRUB'				=>	"For further instructions on how to scrub oplog.",
	'WAS_PROFILE_DEPOLY_FILE'		=>	"creating WAS profile deployment file '[_1]'",
	'WAS_PROFILE_NAME_TOO_LONG'		=>	"The default WAS profile name ended up being longer then the maximum of characters of '[_1]'.  It has been shortened and changed to '[_2]' from '[_3]'",
	'CREATING_FTS_CONFIG_XML_FILE'	=>	"Creating CQ FTS configuration XML file at '[_1]'",
	'READING_FTS_CONFIG_XML_FILE'	=>	"Reading CQ FTS configuration XML file at '[_1]'",
	'ERROR_ENABLE_DISABLE_FTS'		=>	"An error occurred while trying to enable / disable CQ FTS for CQ Web.",
	'CQFTS_PROP_DATA'				=>	"CQ FTS property data [_1]",
	
	'CREATE_NEW_CQFTS'				=>	"Attempting to create a new CQ FTS setup in -> [_1]",
	'LOCATE_CQFTS'					=>	"Attempting to locate an existing CQ FTS setup in -> [_1]",
	'LOOKING_FOR_CQFTS'				=>	"Looking for CQ FTS configuration file in -> [_1]",
	'FTS_INDEXED_RECORDS_TYPES'		=>	"CQ FTS indexed record-type(s): [_1]",
	'CQ_PROD_INFO'					=>	"ClearQuest product information:",
	'FULL_PROD_VER'					=>	"Full Product Version      -> [_1]",
	'PROD_VER'						=>	"Product Version           -> [_1]",
	'PATCH_VER'						=>	"Patch Version             -> [_1]",
	'LICE_VER'						=>	"License Version           -> [_1]",
	'LICE_FEATURE'					=>	"License Feature           -> [_1]",
	'WEB_LICE_VER'					=>	"Web License Version       -> [_1]",
	'COMPANY_NAME'					=>	"Company Name              -> [_1]",
	'COMPANY_FULL_NAME'				=>	"Company Full Name         -> [_1]",
	'COMPANY_EMAIL_ADDESS'			=>	"Company Email Address     -> [_1]",
	'COMPANY_WEB_ADDRESS'			=>	"Company Web Address       -> [_1]",
	'BUILD_NUM'						=>	"Build Number              -> [_1]",
	'STAGE_LABEL'					=>	"Stage Label               -> [_1]",
	'DEFAULT_DBSET_NAME'			=>	"Default DbSet Name        -> [_1]",
	'OM_VER_MAJOR'					=>	"ObjectModel Version Major -> [_1]",
	'OM_VER_MINOR'					=>	"ObjectModel Version Minor -> [_1]",
	'SUITE_PROD_VER'				=>	"Suite Product Version     -> [_1]",
	'SUITE_BUILD_ID'				=>	"Suite Build Id            -> [_1]",
	'FEATURE_LEVEL'					=>	"Feature Level             -> [_1]",
	'IS_REPLICATED'					=>	"Is Replicated             -> [_1]",
	'IS_FTS_ENABLED'				=>	"Is Text Search Enabled    -> [_1]",
	'DB_FL'							=>	"CQ DB Feature Level is at: [_1]",
	'IS_MULTISITED'					=>	"CQ DB is MultiSite'ed",
	'IS_NOT_MULTISITED'				=>	"CQ DB is NOT MultiSite'ed",
	'NEED_FL7_OR_MULTISITE'			=>	"CQ FTS requires FL7 or a MultiSite'ed CQ DB to work properly",
	'DISABLING_UPDATE_MODE'			=>	"Disabling update mode record extractor",
	'ENABLING_UPDATE_MODE'			=>	"Enabling update mode record extractor",
	'BACKING_UP_TO'					=>	"Backing up to '[_1]'",
	'BACKUP_TIME_DEPENDENCY'		=>	"Depending on the speed of your hardware, this task may take several minutes ...",
	'IDX_IS_NOT_LOCKED'				=>	"The Lucene index is not locked.  No action is taken.",
	'IDX_IS_UnLOCKED'				=>	"The Lucene index is now unlocked.",
	'CQFTS_IS_LOCKED'				=>	"This CQ FTS deployment is now locked.",
	'CQFTS_IS_UnLOCKED'				=>	"This CQ FTS deployment is now unlocked.",
	'CQFTS_IS_ALREADY_UNLOCKED'		=>	"This CQ FTS deployment is already unlocked.  No action is taken.",
	'CQFTS_IS_ALREADY_LOCKED'		=>	"This CQ FTS deployment is already locked.  No action is taken.",
	'CQFTS_IS_LOCKED_ERROR'			=>	"This CQ FTS deployment is locked; most commands are disabled.",
	'ARCHIVED_TO'					=>	"Archived to: [_1]",
	'INVALID_WAS_INSTALLED'			=>	"64 bit WAS is not compatible with full text search, please install 32 bit WAS.",

	
	'IN_A_STATE_ALREADY'			=>	"Cannot execute '[_1]' without first completing '[_2]'.",
	'CLEAR_STATE_FOR'				=>	"Either complete '[_1]' or clear its state using '[_2]'",
	'CLEARING_STATE'				=>	"Clearing state",
	'UNEXPECTED_STATE_ERROR'		=>	"Unexpected error.  Attempting to set the state for '[_1]' but we are in '[_2]'",
	'SET_STATE'						=>	"Setting state of command '[_1]' to '[_2]'",
	'CURRENT_STATE'					=>	"Current state for command '[_1]' is '[_2]'",
	'STATE_IS_CLEARED'				=>	"Current state has been cleared",
	'NO_STATE_TO_CLEAR'				=>	"No state exist to clear",
	
	'CONFIG_IS_HERE'				=>	"A copy of your configuration data file is placed in: [_1]",
	'NEXT_AVAILABLE_PORT'			=>	"Looking for next available port number",
	'LOOKING_IN'					=>	"Looking in WAS profile: ~[[_1]~]",
	'FOUND_NEXT_PORT'				=>	"Found next available port number: ~[[_1]~]",
	'LOOKING_FOR_PORT'				=>	"Looking for port number of WAS profile: ~[[_1]~]",
	'REMOVE_FROM_ENTITY'			=>	"Removing record-type '[_1]' from Entity list",
	'REMOVE_FROM_INDEX'				=>	"Removing record-type '[_1]' from Lucene index",
	'BANNER_FTS_TEMPLATE'			=>	"====> Setting up CQ FTS template ... [_1]",
	'BANNER_GENERATE_ENTITY'		=>	"====> Generate Entity file ... [_1]",
	'BANNER_GATHER_DIAG_DATA'		=>	"====> Gather CQ FTS Diagnostic data ... [_1]",
	'BANNER_SCRUB_OPLOG'			=>	"====> Scrubbing oplogs ... [_1]",
	'BANNER_BACKUP_CQFTS'			=>	"====> Backing up CQ FTS ... [_1]",
	'BANNER_ARCHIVE_CQFTS'			=>	"====> Archiving CQ FTS ... [_1]",
	'BANNER_DELETE_WAS_PROFILE'		=>	"====> Deleting CQ FTS WAS profile ... [_1]",
	'BANNER_CREATE_WAS_PROFILE'		=>	"====> Creating CQ FTS WAS profile ... [_1]",
	'BANNER_REINDEX_RECORDS'		=>	"====> Re-index records ... [_1]",
	'BANNER_OPTIMIZE_INDEX'			=>	"====> Optimize CQ FTS index ... [_1]",
	'BANNER_ADD_RECORD_TYPE'		=>	"====> Adding record-type ... [_1]",
	'BANNER_REMOVE_RECORD_TYPE'		=>	"====> Removing record-type ... [_1]",
	'BANNER_FORCE_UPDATE_REINDEX'	=>	"====> Force a full re-index in update mode ... [_1]",
	'BANNER_FORCE_BATCH_REINDEX'	=>	"====> Force a full re-index in batch mode ... [_1]",
	'BANNER_START_WAS_PROFILE'		=>	"====> Start WAS search profile ... [_1]",
	'BANNER_STOP_WAS_PROFILE'		=>	"====> Stop WAS search profile ... [_1]",
	'BANNER_START_UPDATE_INDEX'		=>	"====> Enable and start update mode indexing ... [_1]",
	'BANNER_STOP_UPDATE_INDEX'		=>	"====> Disable and stop update mode indexing ... [_1]",
	'BANNER_SET_WAS_MAX_JVM_MEM'	=>	"====> Setting WAS's JVM maximum memory ... [_1]",
	'BANNER_START_BATCH_INDEX'		=>	"====> Start batch mode indexing ... [_1]",
	'BANNER_ENABLE_CQWEB_FTS'		=>	"====> Enable CQ Web FTS ... [_1]",
	'BANNER_DISABLE_CQWEB_FTS'		=>	"====> Disable CQ Web FTS ... [_1]",
	'BANNER_SET_SOLR_HOME'			=>	"====> Set Solr's home ... [_1]",
	'BANNER_CUST_PROPERTY_FILE'		=>	"====> Customize CQ FTS property file ... [_1]",
	'BANNER_CUST_SOLR_FILE'			=>	"====> Customize Solr file ... [_1]",
	'BANNER_UPDATE_FTS_FILES'		=>	"====> Updating generated CQ FTS files ... [_1]",
	'BANNER_GEN_FTS_FILES'			=>	"====> Generating CQ FTS files ... [_1]",
	'BANNER_UNLOCK_LUCENE_IDX'		=>	"====> Removing Lucene index lock file ... [_1]",
	'BANNER_CLEAR_STATE'			=>	"====> Clearing state ... [_1]",
	'BANNER_LOCK_CQ_FTS'			=>	"====> Locking CQ FTS deployment ... [_1]",
	'BANNER_UNLOCK_CQ_FTS'			=>	"====> Unlocking CQ FTS deployment ... [_1]",
	'BANNER_VALIDATE'				=>	"====> Validating CQ FTS deployment ... [_1]",
	'BANNER_TYPEAHEAD_CMD'			=>	"====> Typeahead command ... [_1]",,
	
	'ABOUT_INFO'					=>	"Information about this CQ FTS",
	'ABOUT_CREATED_ON'				=>	"Created on: [_1]",
	'ABOUT_OS'						=>	"OS: [_1]",
	'ABOUT_CFG_XML_FILE'			=>	"CQ FTS config XML File: [_1]",
	'ABOUT_SOURCE_TEMPL_DIR'		=>	"CQ FTS Source Template Directory: [_1]",
	'ABOUT_DB_SET_NAME'				=>	"CQ DB Set / Connection name: [_1]",
	'ABOUT_USER_DB_NAME'			=>	"CQ User DB name: [_1]",
	'ABOUT_SITE_NAME'				=>	"CQ Site name: [_1]",
	'ABOUT_SERVER_HOST'				=>	"CQ FTS Server host name: [_1]",
	'ABOUT_FTS_TARGET_DIR'			=>	"CQ FTS Target Dir: [_1]",
	'ABOUT_PROFILE_NAME'			=>	"CQ FTS WAS Profile Name: [_1]",
	'ABOUT_PROFILE_PORT'			=>	"CQ FTS WAS Profile Port: [_1]",
	'ABOUT_PROFILE_PORT_FILE'		=>	"CQ FTS WAS Profile Ports File: [_1]",
	'ABOUT_SOLR_ADMIN_URL'			=>	"CQ FTS Solr Admin Console URL: http://[_1]:[_2]/solr/admin/index.jsp",
	'ABOUT_LUCENE_INDEX_LOCATION'	=>	"CQ FTS Lucene Index location: [_1]",
	'ABOUT_DATA_DIR'				=>	"CQ FTS Data Directory: [_1]",
	'ABOUT_ENTITY_FILE'				=>	"CQ FTS Entity File: [_1]",
	'ABOUT_PROPERTY_FILE'			=>	"CQ FTS Property File: [_1]",
	'ABOUT_SOLR_INTERM_FILE'		=>	"CQ FTS Solr intermediate File: [_1]",
	'ABOUT_PW_KEY_FILE'				=>	"CQ FTS Password Key File (if set): [_1]",
	'ABOUT_ENCRPTED_PW_FILE'		=>	"CQ FTS Encrypted Password File (if set): [_1]",
	'ABOUT_SOLR_FILE'				=>	"CQ FTS Solr File: [_1]",
	'ABOUT_POST_SETUP_INFO'			=>	"Important post setup and configuration information",
	'ABOUT_POST_INFO_1'				=>	"1) Test and verify that your Solr Admin Console can be reached via a web browser: http://[_1]:[_2]/solr/admin/index.jsp",
	'ABOUT_POST_INFO_2'				=>	"2) Every record-type must have a descriptive display field set via the 'disp_order' value. For *each* record-type listed in the CQ Search Property XML file, set 'disp_order' equal to '1' for exactly *one* descriptive field, within the CQ Search Property XML file located here: '[_1]'.  After completing this task you need to run the command line option '--enable_cqweb_fts' for the changes to take effect.  The change is dynamic; it will be visible to all users once they logon or re-logon.",
	'ABOUT_POST_INFO_3'				=>	"3) Secure your password key file using appropriate host operating system permission ACLs such that administrators, local system, and the FTS WAS service user account can exclusively reach the file.  The file to secure it: '[_1]'",
	'ABOUT_POST_INFO_4'				=>	"4) Optionally secure your FTS WAS profile (Solr search service) '[_1]' using directions in the Information Center if Solr search service access requires access restrictions.  NOTE: All CM Servers / CQ Web hosts that will access this FTS indexed CQ User Database via CQ Web 8.0 must be able to reach the Solr search service hosted by this WAS profile.  Additionally any administrative host that needs to access the Solr admin console must also be able to access this host.  If you use MultiSite and choose to share a specific CQ FTS Solr search service host, those remote CM Server / CQ Web server hosts must also be permitted access.  For best results use IP addresses, optionally host names, or consult WebSphere documentation/the ClearQuest Information Center or applicable technotes.",
	'ABOUT_POST_INFO_5'				=>	"5) Verify that the 'Full Text' search radio button in CQ Web 8.0 has been enabled.  To do so, point your browser to your deployment of CQ Web and login.  The 'Full Text' search radio button should be enabled.  NOTE: If the radio button becomes disabled (as a result of running the command line option '--disable_cqweb_fts', action oplog'ing will not take place on a none-replicated User Database.  This may result in records that are missed during update mode indexing.  Take caution to keep the radio button enabled at all times once enabling CQ FTS.  If MultiSite enabled, the radio button can be disabled safely as oplog'ing will always take place.",
	'ABOUT_POST_INFO_6'				=>	"6) Ensure backups of your CQ FTS deployment take place corresponding to your CQ database set backups (see Information Center for details).  Failure to take appropriate backups may result in needing to re-index all ClearQuest records in the event of a ClearQuest database restoration.",
	'ABOUT_POST_INFO_7'				=>	"7) For Windows Host: Unless you created a new WAS profile and have specified it's Start-up Type to be 'Automatic', the default setting for 'cqsearchprofile' is set to 'Manual'.  You should change this to 'Automatic' to ensure service start-up upon a system boot time.",
	'ABOUT_POST_INFO_8'				=>	"8) For Unix Host: Solr Search WAS Service is not configured to start at host boot time.  Please consult the WAS Information Center on configuring the cqsearchprofile WAS profile to start at server host boot time.",
	'ABOUT_POST_INFO_9'				=>	"9) See the file '[_1]' for instructions on how to scrub oplogs from Windows.",
	'ABOUT_SEE_INFO_CENTER'			=>	"Please refer to Information Center for more in depth details about CQ FTS.",
	
	'ABOUT_SITE_LIST_NAME'			=>	"CQ Sites name list: [_1]",
	'ABOUT_ENABLED_SITE_LIST_NAME'	=>	"CQ FTS Enabled at sites: [_1]",
	'XINFO_SITE_NAME_LIST'			=>	"FTS Site Name List             -> [_1]",
	'XINFO_ENABLE_AT_SITES'			=>	"FTS Enable at Sites            -> [_1]",
	'NO_RECORD_TYPES_TO_REMOVE'		=>	"There are no record-type(s) listed in '<removeRecordType>' to be remove.",
	'NO_RECORD_TYPES_TO_ADD'		=>	"There are no record-type(s) listed in '<addRecordType>' to be add.",
	'FTS_NOT_ENABLED'				=>	"\'Full Text Search is NOT Enabled\'",
	'ERROR_IN_CFG_FILE'				=>	"Caught error while processing: '[_1]'",
	'ADD_ENTITY_EXIST'				=>	"One or more record-type(s) to-add already exist in Entity file.",
	'AT_WOKING_MASTER_L1'			=>	"Your connection profile must be to a working master site in order to fully deploy CQ FTS.",
	'AT_WOKING_MASTER_L2'			=>	"This is because the commands '--enable_cqweb_fts' / '--disable_cqweb_fts' can only be performed on a working master site.",
	'AT_WOKING_MASTER_L3'			=>	"You should start a fresh deployment of your CQ FTS using a connection profile to a working master site.",
	'REQUIRES_AT_WORKING_MASTER'	=>	"The commands '--enable_cqweb_fts' / '--disable_cqweb_fts' can only be performed on a working master site.",
	'BANNER_PREP_UPGD_PROFILES'		=>	"====> Prepare for Upgrade of CQ FTS WAS Profiles ... [_1]",
	'BANNER_RESTORE_PROFILES'		=>	"====> Restore CQ FTS WAS Profiles from backup data... [_1]",
	'BANNER_SHOW_SCENARIOS'			=>	"====> Show Scenarios ... [_1]",
	'SCENARIO_ID'					=>	"Scenario ID: [_1]",
	'SCENARIO_HEADLINE'				=>	"Headline: [_1]",
	'BACKUP_PROFILES_TO'			=>	"CQ FTS WAS Profiles will be backed up to: '[_1]'",
	'CREATING_BACKUP_OF_PROFILE'	=>	"Creating backup data of CQ FTS WAS Profile: '[_1]",
	'DELETING_FTS_WAS_PROFILE'		=>	"Deleting CQ FTS WAS Profile: '[_1]'",
	'RESTORING_PROFILES_FROM'		=>	"Restoring CQ FTS WAS Profiles from: [_1]",
	'RESTORING_PROFILE'				=>	"Restoring CQ FTS WAS profile: [_1]",
	'XINFO_DELETE_PROFILES'			=>	"Delete CQ FTS WAS Profiles     -> [_1]",
	'CQ_FTS_NOT_INSTALLED'			=>	"CQ FTS is not installed",
	'CANNOT_DELETE_CQSEARCHPROFILE'	=>	"Cannot delete CQ FTS WAS profile: '[_1]'",
	'CANNOT_GATHER_PROFILE'			=>	"Cannot gather CQ FTS WAS profile data: [_1], [_2], [_3], [_4], [_5], [_6]",
	'NO_SUCH_DIR_FILE'				=>	"No such directory or file: [_1]",
	'ABOUT_PROFILE_HOME'			=>	"CQ FTS WAS Profile HOME: [_1]",
	'XINFO_PROFILE_HOME'			=>	"FTS WAS Profile Home           -> [_1]",
	'XINFO_WAS_APPSRV_HOME'			=>	"FTS WAS AppServer Home         -> [_1]",
	'XINFO_CQTSADMIN_VER'			=>	"CQ FTSA tool version           -> [_1]",
	'ABOUT_WAS_APPSRV_HOME'			=>	"CQ FTS WAS AppServer Home: [_1]",
	'RET_BASIC_WAS_INFO'			=>	"Retrieving WAS profile information for WAS profile ~[[_1]~]",
	'UPDATE_CQFTS_PROP_FILE'		=>	"Updating CQ FTS property file ~[[_1]~]",
	'RECORD_TYPE_ALREADY_INDEXED'	=>	"The record-type '[_1]' is already indexed, it cannot be re-added without first removing it.  Remove it first if you want to fully re-index it.",
	'NOT_FTS_PROFILE'				=>	"The WAS Profile '[_1]' is not a CQ FTS Profile; it will not be prepared for upgrade",
	'PREPARING_UPGRADE'				=>	"The WAS Profile '[_1]' is being prepared for upgrade",
	'DISABLE_CQWEB_FTS'				=>	"Disabling CQ Web FTS at site '[_1]'",
	'ENABLE_CQWEB_FTS'				=>	"Enabling CQ Web FTS at site '[_1]'",
	'AUTO_GEN_PORT_PROFILE'			=>	"Automatically generated ports",
	'USER_PORT_PROFILE'				=>	"Using user defined ports profile '[_1]'",
	'PORTS_FILE_OVERRIDE'			=>	"You have requested to override existing ports file.  You need to copy yours over to '[_1]' to prevent problems that may occure later on",
	'NEED_WAS_APPSERVER_PATH'		=>	"Cannot determine WebSphere's AppServer home.  See ClearQuest Full-Text search User's Guide on how to set it via '[_1]' environment variable",
	'UNDEFINED_SOLR_VER'			=>	"Undefined Solr version: '[_1]'",
	'XINFO_SOLR_VERSION'			=>  "Apache Solr version            -> [_1]",
	'BANNER_UPGRADE_SOLR_APP'		=>	"====> Upgrading Apache Solr ... [_1]",
	'PREPARING_SOLR_UPGRADE'		=>	"Apache Solr at FTS deployment '[_1]' is being upgraded",
	'SOLR_IS_ALREADY_CURRENT'		=>	"Apache Solr version for FTS deployment of '[_1]/[_2]' is already at version '[_3]'",
	'MODIFYING_FTS_CFG_FILE'		=>	"Modifying '[_1]' to reflect Apache Solr upgrade",
	'SKIP_SOLR_UPGRADE'				=>	"Skipping Apache Solr upgrade for deployment of: [_1]/[_2]",
	'UNEXPECTED_DATA'				=>	"Unexpected data: [_1]",
	'REINDEX_IS_REQUIRED_1'			=>	"NOTE: You must re-index your FTS deployment for your Solr upgrade to be complete.",
	'REINDEX_IS_REQUIRED_2'			=>	"      Use the command '--run_batch_idx' to re-index your FTS data.",
	'ADMIN_ELEVATION_REQUIRED'		=>	"Your CMD / Unix shell must be in administrative mode",
	'NO_FTS_AT_FTSHOME'				=>	"Cannot find a FTS deployment for '[_1]/[_2]' at '[_3]'",
	'INCLUDE_USERS_GROUPS'			=>	"You have opted to index Users and Groups record-types. To ensure that your FTS index remains synced with your CQ DB, you have to enforce that all your clients are at CQ 8.0.1.04 or later. See CQ documentation for more details.",
	'RECORD_TYPE_NOT_INDEXED_2'		=>	"The record-type '[_1]' in is not indexed by FTS.",
	'FIELD_NOT_INDEXED'				=>	"The field '[_1]' of record-type '[_2]' is not indexed by FTS.",
	'TYPEAHEAD_VALIDATION_SUCCESS'	=>	"Typeahead validation passed.",
	'TYPEAHEAD_VALIDATION_FAILED'	=>	"Typeahead validation failed.",
	'MALFORMED_FILE'				=>  "An error was encountered while processing: '[_1]'",
	'TYPEAHEAD_CMD'					=>  "Typeahead command: '[_1]'",
	'NOT_ENABLED_DELETE_INDEX'		=>	"Your request to delete the index was rejected because '<deleteIndex>' is not set to 'true' in your CQ FTS Admin file",
	'XINFO_DELETE_INDEX'			=>	"Delete CQ FTS index            -> [_1]",
	'TYPEAHEAD_NOT_ENABLED'			=>	"Typeahead must be enabled before you can use '--typeahead_cmd'",
	'INVALID_TYPEAHEAD_CMD'			=>	"Not a valid '--typeahead_cmd' subcommand: '[_1]'",
	
	'MINI_HELP_MSG'					=>	$minHelpMsgText,
	'FULL_HELP_MSG'					=>	$fullHelpMsgText,
	'UNIX_MULTIUTIL_INFO'			=>	$unixMultiutilInfo,
	
	##########################################################################
	# Next set of string resources are for external program string matching 
	# only. They are used programmatically to determine if an external 
	# program was successful or not.
	
	'GEN_ENTITY_FILE'				=>	[' : Wrote to: '],
	'GEN_INTER_SOLR_FILE'			=>	[' : Wrote to: '],
	'GEN_CQ_PROP_XML_FILE'			=>	[' : Wrote to: '],
	'START_WAS_PROFILE'				=>	['ADMU3027E', 'ADMU3000I'],
	'STOP_WAS_PROFILE'				=>	['ADMU0509I', 'ADMU4000I'],
	'SET_SOLR_HOME'					=>	['NOTE: CQ FTS WAS Profile MUST be re-started for this change to take effect.'],
	'OPTIMIZE_IDX'					=>	['SEVERE: Connection refused: connect'],
	'SET_WAS_MAX_MEM'				=>	['WASX7209I'],
	'INSTALLUTIL'					=>	['Exit code 0 for test setmasterpropertyfromfile'],
	'RUN_BATCH_IDX'					=>	[': cqtsdbcrawer finished at '],
	'REMOVE_RECORD_TYPE_FROM_IDEX'	=>	['COMMITting Solr index changes'],
	'SCRUB_OPLOG'					=>	['Error:'],
	'DEL_WAS_PROFILE'				=>	['INSTCONFSUCCESS: Success: The profile no longer exists'],
	'CRE_WAS_PROFILE'				=>	['INSTCONFSUCCESS: Success: Profile '],
	'DEPLOY_SOLR'					=>	['ADMA5013I'],
	'UNDEPLOY_SOLR'					=>	['ADMA5106I'],
	'DEPLOY_SOLR_SAVE'				=>	['WASX7357I'],
	'DEPLOY_CRAWLER'				=>	['ADMA5013I'],
	'DEPLOY_CRAWLER_SAVE'			=>	['WASX7357I'],
	'REPAIR_RECORDS'				=>	['Caught a CQException at the JNI Boundary'],
	'HTTP_TRANSPORT_PORT'			=>	['HTTP transport port: '],
	'CANNOT_RETRIVE_PROFILE_PATH'	=>	['Cannot retrieve the profile path'],
	'GET_BASIC_WAS_PROFILE_INFO'	=>	['WASX7209I'],
	'MATCH_NOTHING'					=>	[''],
	
	'NOT_USED'						=>	'NOT_USED'		# no translation needed as this is a place holder only
);


1;
